## kdbusnotification-trinity 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( kdbusnotification )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules #####

option( BUILD_ALL "Build all" ON )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kdbusnotification-trinity 3.5.13.2

=== debian/changelog ===
kdbusnotification-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:35:01 +0200

kdbusnotification-trinity (0.1-0ubuntu1) maverick; urgency=low

  * Initial upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 17 Oct 2010 19:35:00 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: kdbusnotification-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>> 4.0.0), quilt, kdelibs4-trinity-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdbusnotification-trinity
Architecture: any
Section: kde
Depends: ${shlibs:Depends}
Description: a DBUS notification service [Trinity]
 kdbusnotification is a small program for Trinity that displays
 DBUS notifications via unobtrusive, easily dismissed passive popups.

## kdbusnotification-trinity 14.0.4

=== debian/changelog ===
kdbusnotification-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:16:53 +0200

## kdbusnotification-trinity 14.0.5

=== debian/changelog ===
kdbusnotification-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:26:28 +0200

## kdbusnotification-trinity 14.0.6

=== debian/changelog ===
kdbusnotification-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:24:25 +0100

kdbusnotification-trinity (0.1-0ubuntu1) squeeze; urgency=low

  * Initial upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 17 Oct 2010 19:35:00 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: kdbusnotification-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), tdelibs14-trinity-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdbusnotification-trinity
Architecture: any
Section: tde
Replaces: kdbusnotification-trinity (<< 4:14.0.0~)
Breaks: kdbusnotification-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: a DBUS notification service [Trinity]
 kdbusnotification is a small program for Trinity that displays
 DBUS notifications via unobtrusive, easily dismissed passive popups.

## kdbusnotification-trinity 14.0.8

=== debian/changelog ===
kdbusnotification-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), tdelibs14-trinity-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev
 Standards-Version: 3.8.4
 
 Package: kdbusnotification-trinity

## kdbusnotification-trinity 14.0.9

=== debian/changelog ===
kdbusnotification-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:04:57 +0200

## kdbusnotification-trinity 14.0.10

=== debian/changelog ===
kdbusnotification-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kdbusnotification-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev
 Standards-Version: 3.8.4

## kdbusnotification-trinity 14.0.11

=== debian/changelog ===
kdbusnotification-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 20:45:54 +0200

## kdbusnotification-trinity 14.0.12

=== debian/changelog ===
kdbusnotification-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:46 +0100

## kdbusnotification-trinity 14.0.13

=== debian/changelog ===
kdbusnotification-trinity (4:14.0.13-0ubuntu21.04.0+0) hirsute; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 09:13:33 +0200

## kdbusnotification-trinity 14.1.0

=== debian/changelog ===
kdbusnotification-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kdbusnotification-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( kdbusnotification )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -29,8 +28,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
kdbusnotification-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 06:04:07 +0200

=== debian/control ===
Source: kdbusnotification-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev
Standards-Version: 3.8.4

Package: kdbusnotification-trinity
Architecture: any
Section: tde
Replaces: kdbusnotification-trinity (<< 4:14.0.0~)
Breaks: kdbusnotification-trinity (<< 4:14.0.0~)
Provides: notification-daemon
Depends: ${shlibs:Depends}
Description: a DBUS notification service [Trinity]
 kdbusnotification is a small program for Trinity that displays
 DBUS notifications via unobtrusive, easily dismissed passive popups.

## kdbusnotification-trinity 14.1.2

=== debian/changelog ===
kdbusnotification-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:49 +0200

## kdbusnotification-trinity 14.1.3

=== debian/changelog ===
kdbusnotification-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:30:24 +0200

## kdbusnotification-trinity 14.1.4

=== debian/changelog ===
kdbusnotification-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kdbusnotification-trinity 14.1.5~pre0

=== debian/changelog ===
kdbusnotification-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for d0aa4355a974d6b52201b174693ff345381c2ba6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kdbusnotification-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -29,11 +33,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
kdbusnotification-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kdbusnotification-trinity 14.1.6~pre0

=== debian/changelog ===
kdbusnotification-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d0aa4355a974d6b52201b174693ff345381c2ba6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kdbusnotification-trinity 14.1.6~pre1

=== debian/changelog ===
kdbusnotification-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a8d41a2bdb8dca57edc1e3f6ed88df02892b828d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:03:45 +0100

## kdbusnotification-trinity 14.2.0~pre27

=== src/CMakeLists.txt ===
add_subdirectory( daemon )


##### other data

tde_create_translated_desktop(
    SOURCE kdbusnotification-autostart.desktop
    DESTINATION ${AUTOSTART_INSTALL_DIR}
)

=== debian/changelog ===
kdbusnotification-trinity (4:14.2.0~pre27-0debian11.0.0+6) bullseye; urgency=low

  * Automated git build for d09006c9d2bc8604e2f8b4fc991b313b34891dc9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libdbus-glib-1-dev, libgtk2.0-dev, libglib2.0-dev
 Standards-Version: 3.8.4
 
 Package: kdbusnotification-trinity

## kdbusnotification-trinity 14.2.0~pre28

=== debian/changelog ===
kdbusnotification-trinity (4:14.2.0~pre28-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 7b00bd789f6a1da007a6253a7972bd7f3a5708df
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdbusnotification

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:05:54 +0100
